#!/bin/bash

GPB_LOWER_CFG_FILE=/usr/local/auth/gazprombank/emvgate.cfg
GPB_UPS_PO=36
GPB_UPS_PARAM=35

echo_test()
{
	./gcsgatew -cfg $1 15 1 24 1 1 > /dev/null
	echo -n "Connection to lower pinpad: "
	iconv -f cp1251 -t UTF-8 aresult.txt
	echo
	GPB_PP_RC=`cat aresult.txt | awk '{print $1}'`
	if [ $GPB_PP_RC -eq "0" ]; then
	    return 0
	else
	    echo "Пин-пад не отвечает. Проверьте подключение!"
	    return 1
	fi
}

waiting()
{
    for ((i = 1; i <= $1; i+=1))
    do
	echo "Wait reboot pin-pad..." $i"/"$1
	sleep $2	
    done
}


update()
{
	./gcsgatew -cfg $1 15 1 $2 1 1 
	echo "Update result: "	
	iconv -f cp1251 -t UTF-8 arecimg.txt
	echo
	GPB_PP_RC=`cat aresult.txt | awk '{print $1}'` 
	if [ $GPB_PP_RC -eq "0" ]; then
	    waiting 10 6
	    return 0
	else
	    iconv -f cp1251 -t UTF-8 aresult.txt
	    echo
	    return 1
	fi
}

terminal_info()
{
    ./gcsgatew -cfg $1 15 1 51 1 1 > /dev/null
    iconv -f cp1251 -t UTF-8 arecimg.txt | head -n 10
    echo
}

chmod +x *

echo ">>> START UPDATE PARAMETERS - LOWER PINPAD >>>"
echo_test $GPB_LOWER_CFG_FILE
RET_CODE=$? 
#echo "RET_CODE = "$RET_CODE
if [ $RET_CODE -eq 0 ]; then
    update $GPB_LOWER_CFG_FILE $GPB_UPS_PARAM
    RET_CODE=$?
    sleep 3
#    echo "RET_CODE = "$RET_CODE
    if [ $RET_CODE -eq 0 ]; then
        update $GPB_LOWER_CFG_FILE $GPB_UPS_PO
        RET_CODE=$?
        sleep 3
#        echo "RET_CODE = "$RET_CODE
    fi
    terminal_info $GPB_LOWER_CFG_FILE
fi
echo "<<< END UPDATE PARAMETERS - LOWER PINPAD <<<"
    